---
title: Pause a job
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[R2](https://developers.cloudflare.com/api/typescript/resources/r2)

[Super Slurper](https://developers.cloudflare.com/api/typescript/resources/r2/subresources/super_slurper)

[Jobs](https://developers.cloudflare.com/api/typescript/resources/r2/subresources/super_slurper/subresources/jobs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Pause a job

client.r2.superSlurper.jobs.pause(stringjobID, JobPauseParams {account\_id } params, RequestOptionsoptions?): [JobPauseResponse](<https://developers.cloudflare.com/api/typescript/resources/r2#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_pause_response%20%3E%20(schema)>)

PUT/accounts/{account\_id}/slurper/jobs/{job\_id}/pause

Pauses a running R2 Super Slurper migration job. The job can be resumed later to continue transferring.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

jobID: string

[Link to this property](<#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20pause%20%3E%20(params)%20default%20%3E%20(param)%20job_id%20%3E%20(schema)>)

<details>

<summary>

params: JobPauseParams {account\_id }

</summary>

account\_id: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20pause%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20pause%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

JobPauseResponse = string

[Link to this property](<#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_pause_response%20%3E%20(schema)>)

### Pause a job

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.r2.superSlurper.jobs.pause('job_id', { account_id: 'account_id' });

console.log(response);
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": "result",
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": "result",
  "success": true
}
```